<?php get_header(); ?>
    <div class="wrapper-page">
        <!-- Header -->
        <header class="header">
            <div class="header-content">
                <div class="profile-picture-block">
                    <div class="my-photo">
                        <?php if(get_option('rap_site_logo')):?>
                            <img src="<?php echo get_option('rap_site_logo');?>" class="img-fluid" alt="<?php bloginfo('name');?>">
                        <?php endif;?>
                    </div>
                </div>
                <!-- Header Head -->
                <div class="site-title-block">
                    <div class="site-title"><?php bloginfo('name'); ?></div>
                    <div class="type-wrap">
                        <div class="typed-strings">
                            <?php echo get_option('rap_typed_strings'); ?>
                        </div>
                        <span class="typed" style="white-space:pre;"></span>
                    </div>
                </div>
                <!-- /Header Head -->

                <!-- Navigation -->
                <div class="site-nav">
                    <!-- Main menu -->
                    <?php
                    $menu_name = 'two_menu';
                    if (($locations = get_nav_menu_locations()) && isset($locations[$menu_name])) {
                        $menu = wp_get_nav_menu_object($locations[$menu_name]);
                        $menu_items = wp_get_nav_menu_items($menu->term_id);

                        $home_url = esc_url( home_url( '/' ) );
                        $menu_list = '<ul class="header-main-menu" id="header-main-menu">';
                        $menu_list .= '<li><a href="'.$home_url.'"><i class="fas fa-home"></i> خانه</a></li>';
                        foreach ((array) $menu_items as $key => $menu_item) {
                            $title = $menu_item->title;
                            $url = $menu_item->url;
                            $i_class = $menu_item->classes[0];
                            if($key){
                                $menu_list .= '<li><a href="'. $url .'"><i class="fas '. $i_class .'"></i> '. $title .'</a></li>';
                            }else{
                                $menu_list .= '<li><a class="active" href="'. $url .'"><i class="fas '. $i_class .'"></i> '. $title .'</a></li>';
                            }
                        }

                        echo $menu_list.'</ul>';

                    }
                    ?>
                    <!-- /Main menu -->

                    <!-- Copyrights -->
                    <div class="copyrights"><?php echo get_option('rap_footer');?></div>
                    <!-- / Copyrights -->
                </div>
                <!-- /Navigation -->
            </div>
        </header>
        <!-- /Header -->

        <!-- Mobile Header -->
        <div class="responsive-header">
            <div class="responsive-header-name">
                <?php if(get_option('rap_site_logo')):?>
                    <img src="<?php echo get_option('rap_site_logo');?>" class="responsive-logo" alt="<?php bloginfo('name');?>">
                <?php endif;?>
                <?php bloginfo('name'); ?>
            </div>
            <span class="responsive-icon"><i class="lnr lnr-menu"></i></span>
        </div>
        <!-- /Mobile Header -->

        <!-- Main Content Pages -->
        <div class="content-pages">
            <div class="error">
                <div class="container">
                    <div class="row justify-content-center">
                        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-6">
                            <div class="error-content">
                                <div class="error-message">
                                    <h2>404</h2>
                                    <h3><?php echo get_option('rap_404');?></h3>
                                </div>
                                <form method="get" class="form-error-search" action="<?php echo esc_url( home_url( '/' ) ); ?>">
                                    <input type="search" value="<?php echo get_search_query(); ?>" name="s" placeholder="اینجا جستجو کنید">
                                    <button class="btn btn-search" type="submit">جستجو</button>
                                </form>
                                <div class="description">
                                    <span>یا بروید به <a href="<?php echo esc_url( home_url( '/' ) ); ?>">خانه</a></span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- /Main Content -->
    </div>

<?php get_footer();